본문 바로가기

소셜 로그인 연동 오류: '보안 연결이 사용하지 않는 것이 확인되었습니다'

2019.10.17 댓글 4

사이트에 페이스북이나 트위터, 네이버 등의 계정으로 사이트에 로그인할 수 있도록 연동하면 사용자가 회원가입을 위해 번거롭게 정보를 입력할 필요 없이 SNS 계정으로 사이트를 이용할 수 있어 사용자 경험을 개선할 수 있습니다.

페이스북 로그인 연동 시에 다음과 같은 오류가 발생하는 경우가 있을 수 있습니다.

페이스북 로그인 실패출처: 네이버 지식인

에러 메시지:

OOO 앱이 정보를 전송하는 데 보안 연결을 사용하지 않는 것이 확인되었습니다. OOO 앱이 보안 설정을 업데이트할 때까지 Facebook을 사용하여 로그인할 수 없습니다.

이 오류는 사이트에 보안서버 SSL 인증서가 설치되어 있지 않아서 발생하는 문제입니다.

페이스북 계정으로 로그인이 가능하도록 연동하려면 사이트가 HTTPS로 로드되어야 합니다. 페이스북이 개인정보 유출로 홍역을 치른 후에 인스타그램 API를 제한하는 등 개인정보 정책을 강화하고 있고, SSL 인증서가 설치된 사이트에서만 페이스북 로그인 연동이 가능하도록 정책을 변경한 것도 이러한 보안 강화의 일환 같습니다.

워드프레스의 일부 소셜 로그인 플러그인에서는 사이트에 SSL 인증서가 설치되어 있지 않으면 구성을 할 수 없도록 제한하기도 합니다.

위의 그림은 Nextend Social Login이라는 워드프레스 로그인에서 페이스북 로그인 연동을 셋업하는 화면입니다.

Facebook allows HTTPS OAuth Redirects only. You must move your site to HTTPS in order to allow login with Facebook.
페이스북에서는 HTTPS OAuth Redirects만 허용합니다. 페이스북 계정으로 로그인하도록 허용하려면 사이트를 HTTPS로 로드되도록 해야 합니다.

이런 오류가 발생하여 페이스북 로그인 연동이 안 되는 경우 사이트에 SSL 인증서를 설치해야 합니다. 카페24 같은 국내 호스팅의 경우 유료로 보안서버 인증서를 판매하고 있습니다.

카페24 보안서버 SSL 인증서 판매카페24 보안서버 SSL 인증서. 연간 최저 38,500원부터 이용이 가능하다.

블루호스트, 사이트그라운드 같은 해외호스팅에서는 SSL 인증서가 무료로 제공됩니다. 자세한 내용은 다음 글을 참고해보세요:

참고:

 

※일부 글에 제휴 링크가 포함될 수 있습니다.

댓글4